Elementary Engine

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Modules | Data Structures | Typedefs | Functions
Elementary Engine
Elementary

These are functions setting and querying which rendering engine Elementary will use for drawing its windows' pixels. More...

## Modules
| AT-SPI2 Accessibility
| Elementary widgets support Linux Accessibility standard.

## Data Structures
struct | _Elm_Text_Class
struct | _Elm_Font_Overlay
struct | _Elm_Color_Class
struct | _Elm_Color_Overlay

## Typedefs
typedef struct _Elm_Text_Class | Elm_Text_Class
typedef struct _Elm_Font_Overlay | Elm_Font_Overlay
typedef struct _Elm_Color_Class | Elm_Color_Class
typedef struct _Elm_Color_Overlay | Elm_Color_Overlay

## Functions
EINA_DEPRECATED const char * | elm_config_engine_get (void)
| Get Elementary's rendering engine in use.
EINA_DEPRECATED void | elm_config_engine_set (const char *engine)
| Set Elementary's rendering engine for use.
const char * | elm_config_preferred_engine_get (void)
| Get Elementary's preferred engine to use.
void | elm_config_preferred_engine_set (const char *engine)
| Set Elementary's preferred rendering engine for use.
const char * | elm_config_accel_preference_get (void)
| Get Elementary's preferred engine to use.
void | elm_config_accel_preference_set (const char *pref)
| Set Elementary's acceleration preferences for new windows.
Eina_Bool | elm_config_selection_unfocused_clear_get (void)
| Get whether selection should be cleared when entry widget is unfocused.
void | elm_config_selection_unfocused_clear_set (Eina_Bool enabled)
| Set whether selection should be cleared when entry widget is unfocused.
Eina_Bool | elm_config_vsync_get (void)
| Get the configured vsync flag.
void | elm_config_vsync_set (Eina_Bool enabled)
| Set the configured vsync flag.
Eina_Bool | elm_config_agressive_withdrawn_get (void)
| Get the configure flag that will define if a window aggressively drop its resources when minimized.
void | elm_config_agressive_withdrawn_set (Eina_Bool enabled)
| Set the configure flag that will make a window aggressively drop its resources when minimized.
Eina_Bool | elm_config_accel_preference_override_get (void)
| Get the acceleration override preference flag.
void | elm_config_accel_preference_override_set (Eina_Bool enabled)
| Set the acceleration override preference flag.
Eina_Bool | elm_config_mirrored_get (void)
| Get the system mirrored mode.
void | elm_config_mirrored_set (Eina_Bool mirrored)
| Set the system mirrored mode.
Eina_Bool | elm_config_clouseau_enabled_get (void)
| Get the clouseau state.
void | elm_config_clouseau_enabled_set (Eina_Bool enabled)
| Get the clouseau state.
const char * | elm_config_indicator_service_get (int rotation)
| Get the indicator service name according to the rotation degree.
Eina_List * | elm_config_color_classes_list_get (void)
| Get Elementary's list of supported color classes.
void | elm_config_color_classes_list_free (Eina_List *list)
| Free Elementary's list of supported color classes.
const Eina_List * | elm_config_color_overlay_list_get (void)
| Get Elementary's list of color overlays, set with elm_config_color_overlay_set().
void | elm_config_color_overlay_set (const char *color_class, int r, int g, int b, int a, int r2, int g2, int b2, int a2, int r3, int g3, int b3, int a3)
| Set a color overlay for a given Elementary color class.
void | elm_config_color_overlay_unset (const char *color_class)
| Unset a color overlay for a given Elementary color class.
void | elm_config_color_overlay_apply (void)
| Apply the changes made with elm_config_color_overlay_set() and elm_config_color_overlay_unset() on the current Elementary window.
Eina_Bool | elm_config_desktop_entry_get (void)
| Get the desktop style entry enabled state.
void | elm_config_desktop_entry_set (Eina_Bool enable)
| Set the desktop style entry enabled state.
Eina_Bool | elm_config_magnifier_enable_get (void)
| Get the magnifier enabled state for entries.
void | elm_config_magnifier_enable_set (Eina_Bool enable)
| Set the magnifier enabled state for entires.
double | elm_config_magnifier_scale_get (void)
| Get the amount of scaling the magnifer does.
void | elm_config_magnifier_scale_set (double scale)
| Set the amount of scaling the magnifier does.
Eina_Bool | elm_config_audio_mute_get (Edje_Channel channel)
| Get the mute state of an audio channel for effects.
void | elm_config_audio_mute_set (Edje_Channel channel, Eina_Bool mute)
| Set the mute state of the specified channel.
Eina_Bool | elm_config_window_auto_focus_enable_get (void)
| Get the auto focus enable flag.
void | elm_config_window_auto_focus_enable_set (Eina_Bool enable)
| Set the auto focus enabled state.
Eina_Bool | elm_config_window_auto_focus_animate_get (void)
| Get the auto focus animate flag.
void | elm_config_window_auto_focus_animate_set (Eina_Bool enable)
| Set the auto focus animation flag.
Eina_Bool | elm_config_popup_scrollable_get (void)
| Get the popup scrollable flag.
void | elm_config_popup_scrollable_set (Eina_Bool scrollable)
| Set the popup scrollable flag.
void | elm_config_transition_duration_factor_set (double factor)
| Set the transition duration factor.
double | elm_config_transition_duration_factor_get (void)
| Get the duration factor of transitions.
void | elm_config_web_backend_set (const char *backend)
| Set the backend engine used by Elm_Web widget.
const char * | elm_config_web_backend_get (void)
| Get the currently set backend engine used by Elm_Web widget.
Eina_Bool | elm_config_offline_get (void)
| Get whether the system is offline.
void | elm_config_offline_set (Eina_Bool set)
| Set whether the system is offline.
int | elm_config_powersave_get (void)
| Get whether the system should be conserving power.
void | elm_config_powersave_set (int set)
| Set whether the system should be conserving power.
double | elm_config_drag_anim_duration_get (void)
| Get the animation duration for container objects.
void | elm_config_drag_anim_duration_set (double set)
| Set the animation duration for container objects.

## Detailed Description

These are functions setting and querying which rendering engine Elementary will use for drawing its windows' pixels.

The following are the available engines:

- "fb" (Framebuffer)
- "buffer" (Pixel Memory Buffer)
- NULL - no engine config

Deprecated:
  Please use elm_config_accel_preference_override_set() instead

## Function Documentation

## ◆ elm_config_engine_get()

EINA_DEPRECATED const char * elm_config_engine_get | ( | void |  | ) |

Get Elementary's rendering engine in use.

Returns
  The rendering engine's name

Note
  there's no need to free the returned string, here.

This gets the global rendering engine that is applied to all Elementary applications.

See also
  elm_config_engine_set()

Deprecated:
  use elm_config_accel_preference_get() + elm_config_accel_preference_set()

## ◆ elm_config_engine_set()

EINA_DEPRECATED void elm_config_engine_set | ( | const char * | engine | ) |

Set Elementary's rendering engine for use.

Parameters

  engine | The rendering engine's name

Note that it will take effect only to Elementary windows created after this is called.

See also
  elm_win_add()

Deprecated:
  use elm_config_accel_preference_get() + elm_config_accel_preference_set()

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ elm_config_preferred_engine_get()

const char * elm_config_preferred_engine_get | ( | void |  | ) |

Get Elementary's preferred engine to use.

Returns
  The rendering engine's name

Note
  there's no need to free the returned string, here.

This gets the global rendering engine that is applied to all Elementary applications and is PREFERRED by the application. This can (and will) override the engine configured for all applications which. It is rare to explicitly ask for an engine (likely need is the buffer engine and not much more), so use elm_config_accel_preference_get() and elm_config_accel_preference_set() normally.

See also
  elm_config_preferred_engine_set()

## ◆ elm_config_preferred_engine_set()

void elm_config_preferred_engine_set | ( | const char * | engine | ) |

Set Elementary's preferred rendering engine for use.

Parameters

  engine | The rendering engine's name

Note that it will take effect only to Elementary windows created after this is called. This overrides the engine set by configuration at application startup. Note that it is a hint and may not be honored. It is rare to explicitly ask for an engine (likely need is the buffer engine and not much more), so use elm_config_accel_preference_get() and elm_config_accel_preference_set() normally.

See also
  elm_win_add()
  elm_config_accel_preference_set()
  elm_config_engine_set()

References eina_stringshare_del(), and eina_stringshare_replace().

## ◆ elm_config_accel_preference_get()

const char * elm_config_accel_preference_get | ( | void |  | ) |

Get Elementary's preferred engine to use.

Returns
  The acceleration preference hint string

Note
  there's no need to free the returned string, here.

See elm_config_accel_preference_set() for more information, but this simply returns what was set by this call, nothing more.

See also
  elm_config_accel_preference_set()

Since
  1.10

## ◆ elm_config_accel_preference_set()

void elm_config_accel_preference_set | ( | const char * | pref | ) |

Set Elementary's acceleration preferences for new windows.

Parameters

  pref | The preference desired as a normal C string

Note that it will take effect only to Elementary windows created after this is called. The `pref` string is a freeform C string that indicates what kind of acceleration is preferred. Here "acceleration" majorly means to rendering and which hardware unit application renders GUIs with. This may or may not be honored, but a best attempt will be made. Known strings are as follows:

"gl", "opengl" - try use OpenGL. "3d" - try and use a 3d acceleration unit. "hw", "hardware", "accel" - try any acceleration unit (best possible) "none" - use no acceleration. try use software (since 1.16)

Since 1.14, it is also possible to specify some GL properties for the GL window surface. This allows applications to use GLView with depth, stencil and MSAA buffers with direct rendering. The new accel preference string format is thus "{HW Accel}[:depth{value}[:stencil{value}[:msaa{str}]]]".

Accepted values for depth are for instance "depth", "depth16", "depth24". Accepted values for stencil are "stencil", "stencil1", "stencil8". For MSAA, only predefined strings are accepted: "msaa", "msaa_low", "msaa_mid" and "msaa_high". The selected configuration is not guaranteed and is only valid in case of GL acceleration. Only the base acceleration string will be saved (e.g. "gl" or "hw").

Full examples include:

"gl", - try to use OpenGL "hw:depth:stencil", - use HW acceleration with default depth and stencil buffers "opengl:depth24:stencil8:msaa_mid" - use OpenGL with 24-bit depth, 8-bit stencil and a medium number of MSAA samples in the backbuffer.

This takes precedence over engine preferences set with elm_config_preferred_engine_set().

See also
  elm_win_add()
  elm_config_accel_preference_override_set()

Since
  1.10

References eina_stringshare_del(), eina_stringshare_replace(), and EINA_TRUE.

## ◆ elm_config_selection_unfocused_clear_get()

Eina_Bool elm_config_selection_unfocused_clear_get | ( | void |  | ) |

Get whether selection should be cleared when entry widget is unfocused.

Returns
  if the selection would be cleared on unfocus.

Since
  1.7

See also
  elm_config_selection_unfocused_clear_set()

## ◆ elm_config_selection_unfocused_clear_set()

void elm_config_selection_unfocused_clear_set | ( | Eina_Bool | enabled | ) |

Set whether selection should be cleared when entry widget is unfocused.

Parameters

  enabled | If `EINA_TRUE`, clear selection when unfocus, otherwise does not clear selection when unfocus.

Since
  1.7

See also
  elm_config_selection_unfocused_clear_get()

References EINA_TRUE.

## ◆ elm_config_vsync_get()

Eina_Bool elm_config_vsync_get | ( | void |  | ) |

Get the configured vsync flag.

This gets the globally configured vsync flag that asks some backend engines to use vsync display if possible.

Returns
  If vsync is enabled

Since
  1.11

## ◆ elm_config_vsync_set()

void elm_config_vsync_set | ( | Eina_Bool | enabled | ) |

Set the configured vsync flag.

This sets the globally configured vsync flag that asks some backend engines to use vsync display if possible.

Parameters

  enabled | This should be `EINA_TRUE` if enabled, or `EINA_FALSE` if not.

Since
  1.11

References EINA_TRUE.

## ◆ elm_config_agressive_withdrawn_get()

Eina_Bool elm_config_agressive_withdrawn_get | ( | void |  | ) |

Get the configure flag that will define if a window aggressively drop its resources when minimized.

Returns
  if it does.

Since
  1.21

## ◆ elm_config_agressive_withdrawn_set()

void elm_config_agressive_withdrawn_set | ( | Eina_Bool | enabled | ) |

Set the configure flag that will make a window aggressively drop its resources when minimized.

Parameters

  enabled | This should be `EINA_TRUE` if enabled, or `EINA_FALSE` if not.

Since
  1.21

## ◆ elm_config_accel_preference_override_get()

Eina_Bool elm_config_accel_preference_override_get | ( | void |  | ) |

Get the acceleration override preference flag.

This gets the acceleration override preference. This is a flag that has the global system acceleration preference configuration forcibly override whatever acceleration preference the application may want.

Returns
  If acceleration override is enabled

Since
  1.11

## ◆ elm_config_accel_preference_override_set()

void elm_config_accel_preference_override_set | ( | Eina_Bool | enabled | ) |

Set the acceleration override preference flag.

This sets the acceleration override preference. This is a flag that has the global system acceleration preference configuration forcibly override whatever acceleration preference the application may want.

Parameters

  enabled | This should be `EINA_TRUE` if enabled, or `EINA_FALSE` if not.

See also
  elm_config_accel_preference_set()

Since
  1.11

References EINA_TRUE.

## ◆ elm_config_mirrored_get()

Eina_Bool elm_config_mirrored_get | ( | void |  | ) |

Get the system mirrored mode.

This determines the default mirrored mode of widgets.

Returns
  `EINA_TRUE` if mirrored is set, `EINA_FALSE` otherwise

## ◆ elm_config_mirrored_set()

void elm_config_mirrored_set | ( | Eina_Bool | mirrored | ) |

Set the system mirrored mode.

This determines the default mirrored mode of widgets.

Parameters

  mirrored | `EINA_TRUE` to set mirrored mode, `EINA_FALSE` to unset it.

## ◆ elm_config_clouseau_enabled_get()

Eina_Bool elm_config_clouseau_enabled_get | ( | void |  | ) |

Get the clouseau state.

`EINA_TRUE` if clouseau was tried to be run.

Since
  1.8

Returns
  `EINA_TRUE` if clouseau was tried to run, `EINA_FALSE` otherwise

## ◆ elm_config_clouseau_enabled_set()

void elm_config_clouseau_enabled_set | ( | Eina_Bool | enabled | ) |

Get the clouseau state.

`EINA_TRUE` if clouseau should be attempted to be run.

Since
  1.8

Parameters

  enabled | `EINA_TRUE` to try and run clouseau, `EINA_FALSE` otherwise.

References EINA_TRUE.

## ◆ elm_config_indicator_service_get()

const char * elm_config_indicator_service_get | ( | int | rotation | ) |

Get the indicator service name according to the rotation degree.

Parameters

  rotation | The rotation which related with the indicator service name, in degrees (0-360),

Returns
  The indicator service name according to the rotation degree. The indicator service name can be either `"elm_indicator_portrait"` or `"elm_indicator_landscape"`.

Note
  Do not free the return string.

## ◆ elm_config_color_classes_list_get()

Eina_List * elm_config_color_classes_list_get | ( | void |  | ) |

Get Elementary's list of supported color classes.

Returns
  The color classes list, with `Elm_Color_Class` blobs as data.

Since
  1.10

Release the list with elm_color_classes_list_free().

## ◆ elm_config_color_classes_list_free()

void elm_config_color_classes_list_free | ( | Eina_List * | list | ) |

Free Elementary's list of supported color classes.

Parameters

  list | The list of color classes to freed

Since
  1.10

See also
  elm_config_color_classes_list_get().

## ◆ elm_config_color_overlay_list_get()

const Eina_List * elm_config_color_overlay_list_get | ( | void |  | ) |

Get Elementary's list of color overlays, set with elm_config_color_overlay_set().

Returns
  The color overlays list, with `Elm_Color_Overlay` blobs as data.

Since
  1.10

For each color class, one can set a color overlay for it, overriding the default color properties for that class coming from the theme in use. There is no need to free this list.

See also
  elm_config_color_overlay_set()
  elm_config_color_overlay_unset().

## ◆ elm_config_color_overlay_set()

void elm_config_color_overlay_set | ( | const char * | color_class,
|  | int | r,
|  | int | g,
|  | int | b,
|  | int | a,
|  | int | r2,
|  | int | g2,
|  | int | b2,
|  | int | a2,
|  | int | r3,
|  | int | g3,
|  | int | b3,
|  | int | a3
| ) |  |

Set a color overlay for a given Elementary color class.

Parameters

  color_class | Color class name
  r | Object Red value
  g | Object Green value
  b | Object Blue value
  a | Object Alpha value
  r2 | Text outline Red value
  g2 | Text outline Green value
  b2 | Text outline Blue value
  a2 | Text outline Alpha value
  r3 | Text shadow Red value
  g3 | Text shadow Green value
  b3 | Text shadow Blue value
  a3 | Text shadow Alpha value

Since
  1.10

The first color is for the object itself, the second color is for the text outline, and the third color is for the text shadow.

Note
  The second two color are only for texts.

Setting color emits a signal "color_class,set" with source being the given color class in all edje objects.

See also
  elm_config_color_overlay_list_get()
  elm_config_color_overlay_unset()
  edje_color_class_set()

Note
  unlike Evas, Edje colors are not pre-multiplied. That is, half-transparent white is 255 255 255 128.

## ◆ elm_config_color_overlay_unset()

void elm_config_color_overlay_unset | ( | const char * | color_class | ) |

Unset a color overlay for a given Elementary color class.

Parameters

  color_class | Color class name

Since
  1.10

This will bring back color elements belonging to color class `color_class` back to their default color settings.

## ◆ elm_config_color_overlay_apply()

void elm_config_color_overlay_apply | ( | void |  | ) |

Apply the changes made with elm_config_color_overlay_set() and elm_config_color_overlay_unset() on the current Elementary window.

Since
  1.10

This applies all color overlays set to all objects in the UI.

## ◆ elm_config_desktop_entry_get()

Eina_Bool elm_config_desktop_entry_get | ( | void |  | ) |

Get the desktop style entry enabled state.

Returns
  The desktop style enabled state for entries

Since
  1.23

## ◆ elm_config_desktop_entry_set()

void elm_config_desktop_entry_set | ( | Eina_Bool | enable | ) |

Set the desktop style entry enabled state.

Parameters

  enable | The desktop style enabled state for entries

Since
  1.23

References EINA_TRUE.

## ◆ elm_config_magnifier_enable_get()

Eina_Bool elm_config_magnifier_enable_get | ( | void |  | ) |

Get the magnifier enabled state for entries.

Returns
  The enabled state for magnifier

Since
  1.9

## ◆ elm_config_magnifier_enable_set()

void elm_config_magnifier_enable_set | ( | Eina_Bool | enable | ) |

Set the magnifier enabled state for entires.

Parameters

  enable | The magnifier config state

Since
  1.9

References EINA_TRUE.

## ◆ elm_config_magnifier_scale_get()

double elm_config_magnifier_scale_get | ( | void |  | ) |

Get the amount of scaling the magnifer does.

Returns
  The scaling amount (1.0 is none, 2.0 is twice as big etc.)

Since
  1.9

## ◆ elm_config_magnifier_scale_set()

void elm_config_magnifier_scale_set | ( | double | scale | ) |

Set the amount of scaling the magnifier does.

Parameters

  scale | The scaling amount for magnifiers

Since
  1.9

References EINA_TRUE.

## ◆ elm_config_audio_mute_get()

Eina_Bool elm_config_audio_mute_get | ( | Edje_Channel | channel | ) |

Get the mute state of an audio channel for effects.

Parameters

  channel | The channel to get the mute state of

Returns
  The mute state

Since
  1.9

References EDJE_CHANNEL_ALERT, EDJE_CHANNEL_ALL, EDJE_CHANNEL_BACKGROUND, EDJE_CHANNEL_EFFECT, EDJE_CHANNEL_FOREGROUND, EDJE_CHANNEL_INPUT, EDJE_CHANNEL_INTERFACE, EDJE_CHANNEL_MUSIC, and EINA_FALSE.

## ◆ elm_config_audio_mute_set()

void elm_config_audio_mute_set | ( | Edje_Channel | channel,
|  | Eina_Bool | mute
| ) |  |

Set the mute state of the specified channel.

Parameters

  channel | The channel to set the mute state of
  mute | The mute state to set

Since
  1.9

References edje_audio_channel_mute_set(), EDJE_CHANNEL_ALERT, EDJE_CHANNEL_ALL, EDJE_CHANNEL_BACKGROUND, EDJE_CHANNEL_EFFECT, EDJE_CHANNEL_FOREGROUND, EDJE_CHANNEL_INPUT, EDJE_CHANNEL_INTERFACE, EDJE_CHANNEL_MUSIC, and EINA_TRUE.

## ◆ elm_config_window_auto_focus_enable_get()

Eina_Bool elm_config_window_auto_focus_enable_get | ( | void |  | ) |

Get the auto focus enable flag.

This determines if elementary will show a focus box indicating the focused widget automatically if keyboard controls like "Tab" are used to switch focus between widgets. Mouse or touch control will hide this auto shown focus, unless focus display has been explicitly forced on for the window.

Returns
  The enabled state for auto focus display

Since
  1.14

## ◆ elm_config_window_auto_focus_enable_set()

void elm_config_window_auto_focus_enable_set | ( | Eina_Bool | enable | ) |

Set the auto focus enabled state.

This determines if elementary will show a focus box indicating the focused widget automatically if keyboard controls like "Tab" are used to switch focus between widgets. Mouse or touch control will hide this auto shown focus, unless focus display has been explicitly forced on for the window.

Parameters

  enable | the auto focus display enabled state

Since
  1.14

References EINA_TRUE.

## ◆ elm_config_window_auto_focus_animate_get()

Eina_Bool elm_config_window_auto_focus_animate_get | ( | void |  | ) |

Get the auto focus animate flag.

If auto focus - see elm_config_window_auto_focus_enable_set() , is enabled then this will determine if the focus display will be animated or not.

Returns
  The enabled state for auto focus animation

Since
  1.14

## ◆ elm_config_window_auto_focus_animate_set()

void elm_config_window_auto_focus_animate_set | ( | Eina_Bool | enable | ) |

Set the auto focus animation flag.

If auto focus - see elm_config_window_auto_focus_enable_set() , is enabled then this will determine if the focus display will be animated or not.

Parameters

  enable | the auto focus animation state

Since
  1.14

References EINA_TRUE.

## ◆ elm_config_popup_scrollable_get()

Eina_Bool elm_config_popup_scrollable_get | ( | void |  | ) |

Get the popup scrollable flag.

If scrollable is true, popup's contents is wrapped in a scroller container in order to popup shouldn't be larger than its parent.

Returns
  The enabled state for popup scroll

Since
  1.18

## ◆ elm_config_popup_scrollable_set()

void elm_config_popup_scrollable_set | ( | Eina_Bool | scrollable | ) |

Set the popup scrollable flag.

If scrollable is true, popup's contents is wrapped in a scroller container in order to popup shouldn't be larger than its parent.

Parameters

  scrollable | enable the popup scroll

Since
  1.18

References EINA_TRUE.

## ◆ elm_config_transition_duration_factor_set()

void elm_config_transition_duration_factor_set | ( | double | factor | ) |

Set the transition duration factor.

This function sets the edje transition duration factor It will affect the duration of edje transitions

Parameters

  factor | The duration factor for transition in edje

Note
  This value affect duration of transitions in edje

Since
  1.15

See also
  edje_transition_duration_set() for more details

References edje_transition_duration_factor_set(), EINA_DBL_EQ, and EINA_TRUE.

## ◆ elm_config_transition_duration_factor_get()

double elm_config_transition_duration_factor_get | ( | void |  | ) |

Get the duration factor of transitions.

Returns
  The duration factor of transition in edje

Since
  1.15

## ◆ elm_config_web_backend_set()

void elm_config_web_backend_set | ( | const char * | backend | ) |

Set the backend engine used by Elm_Web widget.

This function set the name of the external module used by elm_web to render web page.

Parameters

  backend | The new backend to use.

Since
  1.18

See also
  elm_config_web_backend_get()

References eina_stringshare_replace(), and EINA_TRUE.

## ◆ elm_config_web_backend_get()

const char * elm_config_web_backend_get | ( | void |  | ) |

Get the currently set backend engine used by Elm_Web widget.

This function get the name of the external module used by elm_web to render web page.

Returns
  The new backend to use.

Since
  1.18

See also
  elm_config_web_backend_set()

## ◆ elm_config_offline_get()

Eina_Bool elm_config_offline_get | ( | void |  | ) |

Get whether the system is offline.

Returns
  True only if the system config is set as offline

Since
  1.21

See also
  elm_config_offline_set()

References EINA_FALSE.

## ◆ elm_config_offline_set()

void elm_config_offline_set | ( | Eina_Bool | set | ) |

Set whether the system is offline.

Parameters

  set | True only if the system is offline

Since
  1.21

See also
  elm_config_offline_get()

## ◆ elm_config_powersave_get()

int elm_config_powersave_get | ( | void |  | ) |

Get whether the system should be conserving power.

Returns
  Values greater than 0 if power is being conserved; higher numbers indicate greater conservation

Since
  1.21

See also
  elm_config_powersave_set()

References EINA_FALSE.

## ◆ elm_config_powersave_set()

void elm_config_powersave_set | ( | int | set | ) |

Set whether the system should be conserving power.

Parameters

  set | Values greater than 0 if power is being conserved; higher numbers indicate greater conservation

Since
  1.21

See also
  elm_config_powersave_set()

## ◆ elm_config_drag_anim_duration_get()

double elm_config_drag_anim_duration_get | ( | void |  | ) |

Get the animation duration for container objects.

Returns
  Animation duration

Since
  1.21

See also
  elm_config_drag_anim_duration_set()

## ◆ elm_config_drag_anim_duration_set()

void elm_config_drag_anim_duration_set | ( | double | set | ) |

Set the animation duration for container objects.

Parameters

  set | Animation duration

Since
  1.21

See also
  elm_config_drag_anim_duration_get()